Summary:	Various RPM command-line tools
Name:		rpmtools
Version:	6.1
Release:	22
Source0:	%{name}-%{version}.tar.xz
# (tpg) from Mageia
# http://svnweb.mageia.org/soft?view=revision&revision=6438
Patch0:		rpmtools-6.1-genhdlist2-merge-option.patch
Patch1:         rpmtools-6.1-use-external-gzip.patch
License:	GPLv2+
Group:		System/Configuration/Packaging
URL:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/rpmtools/
BuildRequires:	perl-devel
BuildRequires:	perl-MDV-Packdrakeng
BuildRequires:	perl-MDV-Distribconf
BuildArch:	noarch
Requires:	perl-MDV-Distribconf > 3.00
Requires:	xz
Requires:	genhdlist2
Requires:	perl(File::Find)
Requires:	perl(File::Path)
Requires:	perl(File::Temp)
Requires:	perl(Getopt::Long)
Requires:	perl(MDV::Distribconf::Build)
Requires:	perl(Pod::Usage)
Requires:	perl(URPM)
Requires:	perl(URPM::Build)
Conflicts:	rpmtools-compat <= 2.0
Conflicts:	rpmtools-devel <= 2.0
Conflicts:	packdrake < 5.0.26

%description
Various tools needed by urpmi and drakxtools for handling rpm files.

%package -n	packdrake
Group:		%{group}
Summary:	A simple Archive Extractor/Builder
Conflicts:	rpmtools <= 5.0.25
Provides:	perl(packdrake)

%description -n	packdrake
Packdrake is a simple indexed archive builder and extractor using
standard compression methods.

%package -n	genhdlist2
Group:		%{group}
Summary:	Tool to generate urpmi metadata (media_info/*)
Conflicts:	rpmtools <= 5.4

%description -n	genhdlist2
genhdlist2 generates hdlist.cz, synthesis.hdlist.cz and *.xml.lzma files used
by urpmi

%prep
%setup -q
%apply_patches

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%{_bindir}/dumpdistribconf
%{_bindir}/gendistrib
%{_bindir}/genhdlist-old
%{_mandir}/man1/dumpdistribconf*
%{_mandir}/man1/gendistrib*
%{_mandir}/man1/genhdlist-old.*

%files -n packdrake
%{_bindir}/packdrake
%{perl_vendorlib}/packdrake.pm
%{_mandir}/man1/packdrake*

%files -n genhdlist2
%{_bindir}/genhdlist2
%{_mandir}/man1/genhdlist2*


%changelog
* Wed Oct 01 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-22
+ Revision: 2d55ee2
- Properly handle empty xml files during merge

* Thu Sep 25 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-21
+ Revision: 2a1b4ca
- Fix container creation in ABF

* Thu Sep 25 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-20
+ Revision: b18393e
- Force removal of duplicates after merge

* Wed Sep 24 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-19
+ Revision: 773b62f
- Handle situations when --merge is specified without new-metadata.lst

* Wed Sep 24 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-18
+ Revision: cb9316b
- Fix --merge patch

* Wed Sep 24 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-18
+ Revision: bbc347e
- --merge: remove duplicates

* Tue Sep 23 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-17
+ Revision: c760999
- --merge: fix handling of new lines after xml tags

* Mon Sep 22 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-16
+ Revision: 8ed2cfc
- --merge - handle situation when metadata is absent

* Mon Sep 22 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-13
+ Revision: 868bf02
- Force removal of unpacked metadata files before running with --merge

* Thu Sep 18 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-14
+ Revision: 5b189d1
- Fix dropping of media_info tag in the merge option

* Thu Sep 18 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-12
+ Revision: e3ce38a
- Fix dropping of media_info tag in the merge option

* Thu Sep 18 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-13
+ Revision: efa89a2
- Disable merge option for now

* Mon Sep 15 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-12
+ Revision: e377fa5
- Improve --merge option - take lists of new files

* Thu Sep 04 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-11
+ Revision: 7fd3753
- Added experimental --merge option

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 6.1-10
+ Revision: 6ed8c2e
- MassBuild#440: Increase release tag

* Tue Feb 11 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-9
+ Revision: 96918b6
- Bump release

* Tue Feb 11 2014 Denis Silakov <denis.silakov@rosalab.ru> 6.1-8
+ Revision: 84ce388
- Add patch to use external gzip

* Tue Aug 27 2013 Denis Silakov <denis.silakov@rosalab.ru> 6.1-8
+ Revision: aeb0693
- Moved out dump_gui_apps - it will be launched separately from now on.

* Tue Aug 20 2013 Denis Silakov <denis.silakov@rosalab.ru> 6.1-7
+ Revision: f07b1f0
- Improved dump_gui_apps

* Tue Jul 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 6.1-7
+ Revision: 97c5695
- Provide dump_gui_apps as a separate script, not a patch

* Tue Jul 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 6.1-6
+ Revision: 94e3dfb
- Add debug output for gui_pkgs generator

* Mon Jul 22 2013 Denis Silakov <denis.silakov@rosalab.ru> 6.1-5
+ Revision: 7fa93c1
- Added sample script to generate list of gui pkgs

* Wed Nov 28 2012 Alexander Kazancev <kazancas@gmail.com> 6.1-4
+ Revision: b6994ef
- Disable genhdlist2 patch

* Sun Nov 25 2012 akdengi <kazancas@mandriva.ru> 6.1-3
+ Revision: 7845891
- rediff genhdlist2 patch

* Sun Nov 25 2012 akdengi <kazancas@mandriva.ru> 6.1-3
+ Revision: 9e256dd
- fix yaml

* Sun Nov 25 2012 akdengi <kazancas@mandriva.ru> 6.1-3
+ Revision: ae9e08e
- add patch

* Sun Nov 25 2012 akdengi <kazancas@mandriva.ru> 6.1-3
+ Revision: ae3457e
- add patch

* Sun Nov 25 2012 akdengi <kazancas@mandriva.ru> 6.1-3
+ Revision: ea5ba65
- (get_filesize_from_synthesis) read back real filesizes from synthesis

* Fri Oct 19 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 6.1-2
+ Revision: 067002b
- use file-store for sources

* Fri Oct 19 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 6.1-2
+ Revision: 5356369
- LOG noarch, general gleanup

* Sat Feb 04 2012 root <root@build-client_i586-2.rosalab.ru> 6.1-1
+ Revision: 9d955c2
- ABF:auto increment release


